AnsweredAssumed Answered

Powershell module V2 Error

Question asked by Brad Richardson on Apr 3, 2015
Latest reply on Apr 21, 2015 by Mike Elam

I've downloaded and imported the V2 module from this GitHub location...

 

jrich523/NimblePowerShell at V2 · GitHub

 

Into my local user profile module folder.  I'm able to load the module without error, but after connecting to an array and running Get-NSInitiatorGroup I receive the following error...

 

Get-NSInitiatorGroup : Unable to find type [VolAclRec]. Make sure that the assembly that contains this type is loaded.

At line:1 char:1

+ Get-NSInitiatorGroup

+ ~~~~~~~~~~~~~~~~~~~~

    + CategoryInfo          : InvalidOperation: (VolAclRec:TypeName) [], RuntimeException

    + FullyQualifiedErrorId : TypeNotFound

 

If I reload the V1 module I'm able to run the command without issue.  I'm running PS version 4.0 and the Nimble Array code base is 2.1.7.0-151109-opt

Outcomes